play.libs

## Class OpenID

- java.lang.Object
- - play.libs.OpenID

    public class OpenID
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `OpenID.UserInfo`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static java.lang.String` `discoverServer(java.lang.String openid)`
`OpenID` `forRealm(java.lang.String action)`
`static OpenID.UserInfo` `getVerifiedID()` Retrieve the verified OpenID
`static OpenID` `id(java.lang.String id)`
`static boolean` `isAuthenticationResponse()` Is the current request an authentication response from the OP ?
`static java.lang.String` `normalize(java.lang.String openID)` Normalize the given openid as a standard openid
`OpenID` `optional(java.lang.String alias)`
`OpenID` `optional(java.lang.String alias, java.lang.String schema)`
`OpenID` `required(java.lang.String alias)`
`OpenID` `required(java.lang.String alias, java.lang.String schema)`
`OpenID` `returnTo(java.lang.String action)`
`boolean` `verify()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### returnTo

    public OpenID returnTo(java.lang.String action)

#### forRealm

    public OpenID forRealm(java.lang.String action)

#### required

    public OpenID required(java.lang.String alias)

#### required

    public OpenID required(java.lang.String alias,
                           java.lang.String schema)

#### optional

    public OpenID optional(java.lang.String alias)

#### optional

    public OpenID optional(java.lang.String alias,
                           java.lang.String schema)

#### verify

    public boolean verify()

#### id

    public static OpenID id(java.lang.String id)

#### normalize

    public static java.lang.String normalize(java.lang.String openID)

Normalize the given openid as a standard openid

Parameters:
  `openID` - the given openid
Returns:
  The normalize openID

#### isAuthenticationResponse

    public static boolean isAuthenticationResponse()

Is the current request an authentication response from the OP ?

Returns:
  true if the current request an authentication response

#### getVerifiedID

    public static OpenID.UserInfo getVerifiedID()

Retrieve the verified OpenID

Returns:
  A UserInfo object

#### discoverServer

    public static java.lang.String discoverServer(java.lang.String openid)